Subject: Re: git and bzr

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Nov 2006 01:30:13 +0100

Carl Worth wrote:

> In the thread on the fedora
> mailing list that prompted my first "user-interface warts" and the
> patch I mentioned above, the process was worse:
> 
>         git commit
>         "hmm... why didn't that work"
>         read message
>         git update-index
>         git commit
>         "crap... it still didn't work even when I did what it told me to do"
> 
> Here's the original version of that report:
> 
> https://www.redhat.com/archives/fedora-maintainers/2006-November/msg00141.html

From the SYNOPSIS of git-update-index(1) one can see that git-update-index
needs files to act on.

But I agree that git is not very user friendly, and has some usability
warts.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git